# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_SequenceNodeOfSequenceOfNamedExpression Class Reference

`#include <ExprIntrp_SequenceNodeOfSequenceOfNamedExpression.hxx>`

Inheritance diagram for ExprIntrp_SequenceNodeOfSequenceOfNamedExpression:

[legend]

## Public Member Functions

| ExprIntrp_SequenceNodeOfSequenceOfNamedExpression (const Handle(Expr_NamedExpression)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Expr_NamedExpression & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_NamedExpression | myValue

## Constructor & Destructor Documentation

ExprIntrp_SequenceNodeOfSequenceOfNamedExpression::ExprIntrp_SequenceNodeOfSequenceOfNamedExpression | ( | const Handle(Expr_NamedExpression)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const ExprIntrp_SequenceNodeOfSequenceOfNamedExpression::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Expr_NamedExpression& ExprIntrp_SequenceNodeOfSequenceOfNamedExpression::Value | ( |  | ) | const

## Field Documentation

Handle_Expr_NamedExpression ExprIntrp_SequenceNodeOfSequenceOfNamedExpression::myValue `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_SequenceNodeOfSequenceOfNamedExpression.hxx